# HEADS UP:
# This file is intended for NON install tool context services only.
# Therefore all services in this file are registered explicitly and an
# include-all directive like `resource: '../Classes/*'` avoided on purpose.
#
# All *regular* EXT:install services are registered in
# TYPO3\CMS\Install\ServiceProvider instead to be usable without DI caches.

services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  TYPO3\CMS\Install\Controller\BackendModuleController:
    tags: ['backend.controller']

  TYPO3\CMS\Install\Controller\EntryPointRedirectController:
    tags: ['backend.controller']

  TYPO3\CMS\Install\Controller\ServerResponseCheckController:
    tags: ['backend.controller']

  TYPO3\CMS\Install\Service\Typo3tempFileService:
    public: true

  TYPO3\CMS\Install\Report\EnvironmentStatusReport:
    tags:
      - name: reports.status

  TYPO3\CMS\Install\Report\InstallStatusReport:
    tags:
      - name: reports.status

  TYPO3\CMS\Install\Report\SecurityStatusReport:
    tags:
      - name: reports.status

  TYPO3\CMS\Install\SystemEnvironment\ServerResponse\ServerResponseCheck:
    public: true
    arguments:
      $useMarkup: true
